/// <reference types="react" />
import { SupabaseClient } from '@supabase/supabase-js';
/**
 * The context that contains the Supabase Client
 * @see {@link Provider} for usage
 */
export declare const SupabaseContext: import("react").Context<SupabaseClient | null>;
/**
 * A provider for {@link SupabaseContext}. Everything must be wrapped in this.
 * @example
 * ```ts
 * import { createClient } from '@supabase/supabase-js';
 *
 * const client = createClient('url', 'anonKey');
 *
 * return (
 *   <Provider value={client}>
 *     <Consumer />
 *   </Provider>
 * );
 * ```
 */
export declare const Provider: import("react").Provider<SupabaseClient | null>;
