import * as RD from '@devexperts/remote-data-ts';
import { Session, UserCredentials } from '@supabase/gotrue-js';
export declare type UseSignInOptions = {
    redirectTo?: string;
    scopes?: string;
};
/**
 * Signs in a user.
 * @returns The result of the signing in, and a function to sign a user in.
 * @example
 * ```ts
 *   const [result, execute] = useSignIn();

 *   return (
 *     <div>
 *       <button
 *         onClick={e => {
 *           e.preventDefault();
 *           execute({ provider: 'google' });
 *         }}
 *       >
 *         Log in
 *       </button>
 *     </div>
 *   );
 * ```
 */
export declare const useSignIn: () => [RD.RemoteData<Error, Session>, (credentials: UserCredentials, options?: UseSignInOptions | undefined) => Promise<void>];
