import * as RD from '@devexperts/remote-data-ts';
/**
 * Signs out a user.
 * @returns The result of the signing out, and a function to sign a user out.
 * @example
 * ```ts
 * const [result, signOut] = useSignOut();
 *
 * return (
 *   <button
 *     onClick={(e) => {
 *       e.preventDefault();
 *       signOut();
 *     }}
 *   >
 *     Sign out
 *   </button>
 * );
 *
 * ```
 */
export declare const useSignOut: () => [RD.RemoteData<Error, void>, () => Promise<void>];
